octonet - Segnalazione #342

octonet 0.2.21-1 impossibile accedere
07/05/2017 03:28 PM - Michael Guggenberg

Status: Chiuso Start date:
Priority: Alta Due date:
Assignee: Christopher R. Gabriel % Done:
Category: Estimated time:
Target version:

07/05/2017

100%
0.00 hour

Description

Environment:

Request Method: GET
Request URL: http://192.168.10.1:13402/

Django Version: 1.8.16
Python Version: 3.4.2
Installed Applications:
['django.contrib.sessions',
'django.contrib.messages’,
'whitenoise.runserver_nostatic',
'django.contrib.staticfiles"’,
'octonet',
'hostqueue.apps.HostQueue',
'firewall.apps.Firewall',
'dhcp.apps.Dhcp',
'dansguardian.apps.DansGuardian',
'host.apps.Host',
'polygen.apps.Polygen',
'upgrade.apps.Upgrade',
'asterisk.apps.Asterisk',
'samba.apps.Samba',
'users.apps.Users',
'script.apps.Script',
'quota.apps.Quota',
'printers.apps.Printers’',
'auth.apps.Auth']
Installed Middleware:
['django.middleware.security.SecurityMiddleware',
'whitenoise.middleware.WhiteNoiseMiddleware',
'django.contrib.sessions.middleware.SessionMiddleware',
'django.middleware.common.CommonMiddleware',
'django.middleware.csrf.CsrfViewMiddleware',
'django.middleware.locale.LocaleMiddleware',
'octonet.middleware.AuthenticationMiddleware',
'django.contrib.messages.middleware.MessageMiddleware',
'django.middleware.clickjacking.XFrameOptionsMiddleware']

Template error:

In template /usr/share/octonet/octonet/templates/octonet/home.html,
Reverse for 'host_edit' with arguments ' ()' and keyword arguments

attern(s) tried: ['host/edit/ (?P<name>["/]+)$"]
31 : </tr>
32 : {% endfor %}
33 : </table>
34 {%$ if last_seen_clients %}
35 g <h3>{% trans "Last seen clients" %}</h3>

36 : <table class="table table-condensed">
37 {% for client in last_seen_clients %}
38 : <tr>
39 : <td>
40 {%$ with hostname=client.0 %}
41 <a href=" {% url 'host:host_edit' name=hostname %} ">{{hostname}}</a>
42 {% endwith %}
43 : </td>
44 <td>{{client.l}}</td>
45 </tr>
46 {% endfor %}
47 </table>
48 : {% endif %}
49 <h3>{% trans "Filesystems" %}</h3>
50 : <div class="row">
51 : {% for fs,val in filesystems.items %}

Traceback:

File "/usr/lib/python3/dist-packages/django/core/handlers/base.py" in get_response
164. response = response.render ()

File "/usr/lib/python3/dist-packages/django/template/response.py" in render
158. self.content = self.rendered_content

File "/usr/lib/python3/dist-packages/django/template/response.py" in rendered_content
135. content = template.render (context, self._request)

File "/usr/lib/python3/dist-packages/django/template/backends/django.py" in render
74 . return self.template.render (context)

File "/usr/lib/python3/dist-packages/django/template/base.py" in render
210. return self._render (context)

File "/usr/lib/python3/dist-packages/django/template/base.py" in _render
202. return self.nodelist.render (context)

File "/usr/lib/python3/dist-packages/django/template/base.py" in render
905. bit = self.render_node (node, context)

File "/usr/lib/python3/dist-packages/django/template/debug.py" in render_node
79. return node.render (context)

File "/usr/lib/python3/dist-packages/django/template/loader_tags.py" in render
135. return compiled_parent._render (context)

File "/usr/lib/python3/dist-packages/django/template/base.py" in _render
202. return self.nodelist.render (context)

File "/usr/lib/python3/dist-packages/django/template/base.py" in render
905. bit = self.render_node (node, context)

File "/usr/lib/python3/dist-packages/django/template/debug.py" in render_node
79. return node.render (context)

File "/usr/lib/python3/dist-packages/django/template/loader_tags.py" in render
135. return compiled_parent._render (context)

File "/usr/lib/python3/dist-packages/django/template/base.py" in _render
202. return self.nodelist.render (context)

File "/usr/lib/python3/dist-packages/django/template/base.py" in render
905. bit = self.render_node (node, context)

File "/usr/lib/python3/dist-packages/django/template/debug.py" in render_node
79. return node.render (context)
File "/usr/lib/python3/dist-packages/django/template/loader_tags.py" in render

65. result = block.nodelist.render (context)

File "/usr/lib/python3/dist-packages/django/template/base.py" in render
905. bit = self.render_node (node, context)

File "/usr/lib/python3/dist-packages/django/template/debug.py" in render_node
79. return node.render (context)

File "/usr/lib/python3/dist-packages/django/template/loader_tags.py" in render
65. result = block.nodelist.render (context)

File "/usr/lib/python3/dist-packages/django/template/base.py" in render
905. bit = self.render_node (node, context)

File "/usr/lib/python3/dist-packages/django/template/debug.py" in render_node
79. return node.render (context)

File "/usr/lib/python3/dist-packages/django/template/defaulttags.py" in render
329. return nodelist.render (context)

File "/usr/lib/python3/dist-packages/django/template/base.py" in render
905. bit = self.render_node (node, context)

File "/usr/lib/python3/dist-packages/django/template/debug.py" in render_node
79. return node.render (context)

File "/usr/lib/python3/dist-packages/django/template/defaulttags.py" in render
329. return nodelist.render (context)

File "/usr/lib/python3/dist-packages/django/template/base.py" in render
905. bit = self.render_node (node, context)

File "/usr/lib/python3/dist-packages/django/template/debug.py" in render_node
79. return node.render (context)

File "/usr/lib/python3/dist-packages/django/template/defaulttags.py" in render
217. nodelist.append (node.render (context))

File "/usr/lib/python3/dist-packages/django/template/defaulttags.py" in render
576. return self.nodelist.render (context)

File "/usr/lib/python3/dist-packages/django/template/base.py" in render
905. bit = self.render_node (node, context)

File "/usr/lib/python3/dist-packages/django/template/debug.py" in render_node
79. return node.render (context)

File "/usr/lib/python3/dist-packages/django/template/defaulttags.py" in render
507. six.rerailse (*exc_info)

File "/usr/lib/python3/dist-packages/django/utils/six.py" in reraise
686. raise value

File "/usr/lib/python3/dist-packages/django/template/defaulttags.py" in render
493. url = reverse (view_name, args=args, kwargs=kwargs, current_app=current_app)

File "/usr/lib/python3/dist-packages/django/core/urlresolvers.py" in reverse
578. return force_text (iri_to_uri (resolver._reverse_with_prefix(view, prefix, *args, **kwarg

s)))

File "/usr/lib/python3/dist-packages/django/core/urlresolvers.py" in _reverse_with_prefix
495, (lookup_view_s, args, kwargs, len(patterns), patterns))

Exception Type: NoReverseMatch at /
Exception Value: Reverse for 'host_edit' with arguments '()' and keyword arguments '{'name': ''}"
not found. 1 pattern(s) tried: ['host/edit/ (?P<name>["/]+)$"']

Associated revisions

Revision 832ecc2f - 07/05/2017 03:38 PM - Christopher R. Gabriel
refs #342

handle empty host names

History

#1 - 07/05/2017 03:33 PM - Christopher R. Gabriel
- Status changed from Nuovo to In elaborazione

- Assignee changed from TRUELITE to Christopher R. Gabriel

#2 - 07/05/2017 03:42 PM - Christopher R. Gabriel
- Status changed from In elaborazione to Commenti

- Assignee changed from Christopher R. Gabriel to Michael Guggenberg

Risulta che nella configurazione del cluster ci sia un host senza nome (sul perche’ ci sia non te lo so dire, andrebbe analizzata l'installazione
specifica)

Ho pubblicato un pacchetto aggiornato di octonet per gestire il caso e non sollevare l'errore.

#3 - 07/05/2017 03:49 PM - Michael Guggenberg
- Assignee changed from Michael Guggenberg to Christopher R. Gabriel

risolto, grazie.
output di /etc/clusters:

sostegno 250201wsostll.adanegri.blz 250201wsost0Ol.adanegri.blz 250201lwsost05.adanegri.blz 250201wsostl10.adaneg
ri.blz 250201lwsostl2.adanegri.blz 250201wsost02.adanegri.blz 250201lwsost06.adanegri.blz 250201lwsost07.adanegri
.blz 250201wsost03.adanegri.blz 250201lwsost08.adanegri.blz 250201lwsost09.adanegri.blz

info 250201winfolé6.adanegri.blz 250201lwinfo0l.adanegri.blz 250201lwinfo2l.adanegri.blz 250201lwinfol2.adanegri.b
1z 250201winfo05.adanegri.blz 250201winfo07.adanegri.blz 250201lwinfol4.adanegri.blz 250201lwinfo20.adanegri.blz
250201winfo06.adanegri.blz 250201lwinfol8.adanegri.blz 250201lwinfo22.adanegri.blz 250201lwinfol7.adanegri.blz 2
50201winfol3.adanegri.blz 250201lwinfol9.adanegri.blz 250201lwinfo03.adanegri.blz 250201lwinfo09.adanegri.blz 250
201lwinfo04.adanegri.blz 250201winfol0.adanegri.blz 250201lwinfo24.adanegri.blz 250201lwinfo02.adanegri.blz 25020
lwinfodocenteOl.adanegri.blz 250201lwsost04.adanegri.blz 250201lwinfo08.adanegri.blz 250201lwinfoll.adanegri.blz
250201winfo23.adanegri.blz 250201winfol5.adanegri.blz

#4 - 07/05/2017 03:50 PM - Michael Guggenberg
- Status changed from Commenti to Risolto

- % Done changed from 0 to 100

#5 - 07/05/2017 03:54 PM - Christopher R. Gabriel

- Status changed from Risolto to Chiuso

04/17/2024 4/4


http://www.tcpdf.org

